%define major		0
%define libname		%mklibname kdsoapwsdiscoveryclient %{major}
%define devname		%mklibname kdsoapwsdiscoveryclient -d

%define date		20200506
%define commit		4a74b97467affa57b7dac6f6ccd0b01de126d7a9

Name:		kdsoap-ws-discovery-client
Version:	0.2
Release:	%mkrel 0.1
Summary:	Qt based WS-Discovery client library based on KDSoap
Group:		System/Libraries
License:	GPLv3+
Url:		https://caspermeijn.gitlab.io/kdsoap-ws-discovery-client
Source0:	https://gitlab.com/caspermeijn/kdsoap-ws-discovery-client/-/archive/%{commit}/%{name}-%{commit}.tar.xz

BuildRequires:	kf5-macros
BuildRequires:	kdsoap-devel
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	doxygen
BuildRequires:	qttools5
BuildRequires:	qttools5-assistant

%description
Library for finding WS-Discovery devices in the network using Qt5
and KDSoap.

#------------------------------------------------------------------------------

%package -n %{libname}
Summary:	Qt based WS-Discovery client library based on KDSoap
Group:		System/Libraries

%description -n %{libname}
Library for finding WS-Discovery devices in the network using Qt5
and KDSoap.

#------------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for the WS-Discovery client library based on KDSoap
Group:		Development/KDE and Qt
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
Development files for the Qt based WS-Discovery client library based
on KDSoap.

#------------------------------------------------------------------------------

%prep
%setup -qn %{name}-%{commit}

%build
%cmake -DBUILD_QCH=ON
%cmake_build

%install
%cmake_install

%files -n %{libname}
%{_libdir}/libKDSoapWSDiscoveryClient.so.%{major}*

%files -n %{devname}
%doc %{_docdir}/KDSoapWSDiscoveryClient/
%doc %{_qt5_docdir}/KDSoapWSDiscoveryClient.qch
%doc %{_qt5_docdir}/KDSoapWSDiscoveryClient.tags
%{_includedir}/KDSoapWSDiscoveryClient/
%{_libdir}/*.so
%{_libdir}/cmake/KDSoapWSDiscoveryClient/


%changelog
* Thu Oct 22 2020 tex 0.2-0.1pclos2020
- build for new kdsoap 1.9.1
